- Correctly fix previous issue:
Exit without calling update-bootloader (bnc#858268) Currently mkinitrd will always exit early without creating an initrd at all. OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=89
This commit is contained in:
parent
6f6689329c
commit
08bd1dd862
@ -1,3 +1,10 @@
|
|||||||
|
-------------------------------------------------------------------
|
||||||
|
Tue Jan 14 14:10:06 UTC 2014 - trenn@suse.de
|
||||||
|
|
||||||
|
- Correctly fix previous issue:
|
||||||
|
Exit without calling update-bootloader (bnc#858268)
|
||||||
|
Currently mkinitrd will always exit early without creating an initrd at all.
|
||||||
|
|
||||||
-------------------------------------------------------------------
|
-------------------------------------------------------------------
|
||||||
Mon Jan 13 17:52:51 UTC 2014 - trenn@suse.de
|
Mon Jan 13 17:52:51 UTC 2014 - trenn@suse.de
|
||||||
|
|
||||||
|
@ -2,12 +2,15 @@ Index: dracut-034/mkinitrd-suse.sh
|
|||||||
===================================================================
|
===================================================================
|
||||||
--- dracut-034.orig/mkinitrd-suse.sh
|
--- dracut-034.orig/mkinitrd-suse.sh
|
||||||
+++ dracut-034/mkinitrd-suse.sh
|
+++ dracut-034/mkinitrd-suse.sh
|
||||||
@@ -291,7 +291,7 @@ while (($# > 0)); do
|
@@ -291,7 +291,10 @@ while (($# > 0)); do
|
||||||
done
|
done
|
||||||
|
|
||||||
[[ $targets && $kernels ]] || default_kernel_images
|
[[ $targets && $kernels ]] || default_kernel_images
|
||||||
-[[ $targets && $kernels ]] || (error "No kernel found in $boot_dir" && usage)
|
-[[ $targets && $kernels ]] || (error "No kernel found in $boot_dir" && usage)
|
||||||
+[[ $targets && $kernels ]] || error "No kernel found in $boot_dir" && usage -n
|
+if [[ ! $targets || ! $kernels ]];then
|
||||||
|
+ error "No kernel found in $boot_dir"
|
||||||
|
+ usage -n
|
||||||
|
+fi
|
||||||
|
|
||||||
# We can have several targets/kernels, transform the list to an array
|
# We can have several targets/kernels, transform the list to an array
|
||||||
targets=( $targets )
|
targets=( $targets )
|
||||||
|
Loading…
x
Reference in New Issue
Block a user